#ifndef __Bomber_h__
#define __Bomber_h__

#include "GameObject.h"
#include "Bomb.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class Bomber : public GameObject
{
public:
	Bomber();
	virtual ~Bomber() ;

	void reset();

  void load(int x, int y, int width, int height, std::string  textureID);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();
  void setNumBombs(int bombs) {
	  m_bombs_left = bombs;
  }
  int getNumBombs() {
	  return m_bombs_left;
  }
  void setLevel(int level) {
	  m_level = level;
  }
  void setBombLastTime() {
	  bombLastTime = SDL_GetTicks();
  }

private:
  void playUpdate();
  void explodeUpdate();
  int m_direction;
  bool has_bomb;
  Bomb *m_bomb;
  int m_bombDropSpeed;
  int m_bombCounter;
  int bomber_xm_time;
  int bomber_xm;
  int m_bombs_left;
  Uint32 lastTime, currentTime, delayTime;
  Uint32 bombLastTime, bombCurrentTime, bombDelayTime;

  // counts the number of frames drawn
  int m_frameCount;
  int m_level;
};

#endif
